Sync all Background Checks
To send us data regarding employee/contractor background checks, you send us BackgroundCheckConnector resources. This helps us determine current background check statuses.
This call replaces ALL existing BackgroundCheckConnector resources for the given app and source_id - this is a “state of the world” sync. In other words, if a BackgroundCheckConnector resource is sent for a user in a previous sync_all call, but is not included in a later sync_all call for that customer, it is assumed to no longer exist and is deleted in Vanta.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:write-resource
** Schema **
Expand the resources array below for the schema of BackgroundCheckConnector.
curl --request PUT \
--url https://api.vanta.com/v1/resources/background_check_connector \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "<string>",
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"fullName": "<string>",
"email": "<string>",
"completionDate": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.vanta.com/v1/resources/background_check_connector"
payload = {
"resourceId": "<string>",
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"fullName": "<string>",
"email": "<string>",
"completionDate": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceId: '<string>',
resources: [
{
displayName: '<string>',
uniqueId: '<string>',
externalUrl: '<string>',
fullName: '<string>',
email: '<string>',
completionDate: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.vanta.com/v1/resources/background_check_connector', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
List of resources to sync
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Show child attributes
Show child attributes
Response
The current resources synced.
Related topics
List all Background ChecksIntegrations in VantaResources in VantaSync all secretsBuild a public integrationWas this page helpful?
